<style scoped>
.user-panel {
  margin: 10px auto;
}
</style>
<template>
  <el-dialog
    :visible.sync="showDialog"
    :title="modalTitle"
    :modal-append-to-body="false"
    style="text-align:left;"
    @close="closeDialog"
    :close-on-click-modal="false"
    width="800px"
  >
    <div class="user-panel" >
        <el-table
        :data="tableData"
        style="min-height: 400px"
        v-loading="loading"
        stripe
        >
            <el-table-column prop="createTime" label="操作时间" width="150"></el-table-column>
            <el-table-column prop="createByN" label="操作人" width="100"></el-table-column>
            <el-table-column prop="step" label="操作步骤" width="130"></el-table-column>
            <el-table-column prop="remark" label="备注"></el-table-column>
        </el-table>
    </div>
    <span slot="footer" class="dialog-footer">
      <el-button @click="closeDialog">取 消</el-button>
    </span>
  </el-dialog>
</template>
<script>
import Constant from "@/constant";
import resumeDeliverRecordApi from "@/api/job/resumeDeliverRecord";

export default {
  props: ["businessKey", "title"],
  data() {
    return {
      formModel: {
        id: "",
        companyPerson:"",
        companyPhone:"",
        chatDate:"",
        chatTime:"",
        chatType:""
      },
      tableData:[],
      showDialog: true,
      loading: false,
      submitting: false,
      modalTitle:"",
    };
  },
  methods: {
    closeDialog() {
      this.$emit("close", false);
    },
    changePage() {
      var self = this;

      self.loading = true;

      var formData = new FormData();

      formData.append("pageIndex", 1);
      formData.append("pageSize", 10000);
      formData.append("resumeDeliverId", this.businessKey);

      resumeDeliverRecordApi.pageList(formData).then(function (response) {
          self.loading= false;

          var jsonData = response.data.data;

          self.tableData = jsonData.data;
        })
        .catch((error) => {
          self.loading = false;
          // self.$message.error(error + "");
        });
    },
  },
  async mounted() {
    this.changePage();
  }
};
</script>